<ui:composition
        xmlns:gazelle="http://java.sun.com/jsf/composite/gazelle-tags"
        xmlns:ui="http://java.sun.com/jsf/facelets"
        xmlns:h="http://java.sun.com/jsf/html"
        xmlns="http://www.w3.org/1999/xhtml" xmlns:f="http://java.sun.com/jsf/core">
    <div class="form-group form-inline #{invalid?'has-error has-feedback':''} #{styleClass == null ? '' : styleClass}">
        <label class="control-label col-sm-3" for="#{id}">
            <ui:insert name="label"/>
            <gazelle:span styleClass="required" rendered="#{required}"> *</gazelle:span>
        </label>

        <div class="col-sm-9">
            <ui:insert/>
            <h:message for="#{id}"
                       errorClass="gzl-text-red gzl-field-message"
                       warnClass="gzl-text-orange gzl-field-message"
                       infoClass="gzl-text-green gzl-field-message"/>

        </div>
    </div>
</ui:composition>